svn commit: r193907 - projects/stress2/misc

Peter Holm pho at FreeBSD.org
Wed Jun 10 12:07:59 UTC 2009


Author: pho
Date: Wed Jun 10 12:07:55 2009
New Revision: 193907
URL: http://svn.freebsd.org/changeset/base/193907

Log:
  Added some simple zfs test scenarios

Added:
  projects/stress2/misc/zfs.sh   (contents, props changed)
  projects/stress2/misc/zfs2.sh   (contents, props changed)
  projects/stress2/misc/zfs3.sh   (contents, props changed)
  projects/stress2/misc/zfs4.sh   (contents, props changed)
  projects/stress2/misc/zfs5.sh   (contents, props changed)

Added: projects/stress2/misc/zfs.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/zfs.sh	Wed Jun 10 12:07:55 2009	(r193907)
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple zfs raidz test scenario
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+kldstat -v | grep -q zfs.ko  || kldload zfs.ko
+
+u1=$mdstart
+u2=$((u1 + 1))
+u3=$((u2 + 1))
+
+mdconfig -l | grep -q md${u1} && mdconfig -d -u $u1
+mdconfig -l | grep -q md${u2} && mdconfig -d -u $u2
+mdconfig -l | grep -q md${u3} && mdconfig -d -u $u3
+
+mdconfig -s 512m -u $u1
+mdconfig -s 512m -u $u2
+mdconfig -s 512m -u $u3
+
+zpool create tank raidz md$u1 md$u2 md$u3
+zfs create tank/test
+
+export RUNDIR=/tank/test/stressX
+export runRUNTIME=10m
+(cd ..; ./run.sh marcus.cfg) 
+
+zfs destroy -r tank
+zpool destroy tank
+
+mdconfig -d -u $u1
+mdconfig -d -u $u2
+mdconfig -d -u $u3

Added: projects/stress2/misc/zfs2.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/zfs2.sh	Wed Jun 10 12:07:55 2009	(r193907)
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple zfs mirror test scenario
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+kldstat -v | grep -q zfs.ko  || kldload zfs.ko
+
+d1=${diskimage}.1
+d2=${diskimage}.2
+
+dd if=/dev/zero of=$d1 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+dd if=/dev/zero of=$d2 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+
+u1=$mdstart
+u2=$((u1 + 1))
+
+mdconfig -l | grep -q md${u1} && mdconfig -d -u $u1
+mdconfig -l | grep -q md${u2} && mdconfig -d -u $u2
+
+mdconfig -a -t vnode -f $d1 -u $u1
+mdconfig -a -t vnode -f $d2 -u $u2
+
+zpool create tank mirror md$u1 md$u2
+
+export RUNDIR=/tank/stressX
+export runRUNTIME=10m
+(cd ..; ./run.sh marcus.cfg) 
+
+zfs destroy -r tank
+zpool destroy tank
+
+mdconfig -d -u $u1
+mdconfig -d -u $u2
+
+rm -rf $d1 $d2

Added: projects/stress2/misc/zfs3.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/zfs3.sh	Wed Jun 10 12:07:55 2009	(r193907)
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple zfs snapshot test scenario
+
+# page fault from fs/zfs/dbuf.c:1807
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+kldstat -v | grep -q zfs.ko  || kldload zfs.ko
+
+d1=${diskimage}.1
+d2=${diskimage}.2
+
+dd if=/dev/zero of=$d1 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+dd if=/dev/zero of=$d2 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+
+u1=$mdstart
+u2=$((u1 + 1))
+
+mdconfig -l | grep -q md${u1} && mdconfig -d -u $u1
+mdconfig -l | grep -q md${u2} && mdconfig -d -u $u2
+
+mdconfig -a -t vnode -f $d1 -u $u1
+mdconfig -a -t vnode -f $d2 -u $u2
+
+zpool create tank md$u1 md$u2
+zfs create tank/test
+zfs set quota=800m tank/test
+zfs snapshot tank/test at snap1
+
+export RUNDIR=/tank/test/stressX
+export runRUNTIME=10m
+(cd ..; ./run.sh marcus.cfg) 
+
+zfs rollback tank/test at snap1
+zfs destroy  tank/test at snap1
+
+zfs destroy -r tank
+zpool destroy tank
+
+mdconfig -d -u $u1
+mdconfig -d -u $u2
+
+rm -rf $d1 $d2

Added: projects/stress2/misc/zfs4.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/zfs4.sh	Wed Jun 10 12:07:55 2009	(r193907)
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple zfs snapshot test scenario
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+kldstat -v | grep -q zfs.ko  || kldload zfs.ko
+
+d1=${diskimage}.1
+d2=${diskimage}.2
+
+dd if=/dev/zero of=$d1 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+dd if=/dev/zero of=$d2 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+
+u1=$mdstart
+u2=$((u1 + 1))
+
+mdconfig -l | grep -q md${u1} && mdconfig -d -u $u1
+mdconfig -l | grep -q md${u2} && mdconfig -d -u $u2
+
+mdconfig -a -t vnode -f $d1 -u $u1
+mdconfig -a -t vnode -f $d2 -u $u2
+
+zpool create tank md$u1 md$u2
+zfs create tank/test
+zfs set quota=100m tank/test
+zfs set snapdir=visible tank/test
+
+export RUNDIR=/tank/test/stressX
+export runRUNTIME=10m
+(cd ..; ./run.sh marcus.cfg) &
+
+for i in `jot 20`; do
+	zfs snapshot tank/test at snap$i
+done
+for i in `jot 20`; do
+	zfs destroy  tank/test at snap$i
+done
+wait
+
+zfs destroy -r tank
+zpool destroy tank
+
+mdconfig -d -u $u1
+mdconfig -d -u $u2
+
+rm -rf $d1 $d2

Added: projects/stress2/misc/zfs5.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/zfs5.sh	Wed Jun 10 12:07:55 2009	(r193907)
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Simple zfs test of vdev as a file and snapshot clones
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+kldstat -v | grep -q zfs.ko  || kldload zfs.ko
+
+d1=${diskimage}.1
+d2=${diskimage}.2
+
+dd if=/dev/zero of=$d1 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+dd if=/dev/zero of=$d2 bs=1m count=1k 2>&1 | egrep -v "records|transferred"
+
+zpool create tank $d1 $d2
+zfs create tank/test
+zfs set quota=100m tank/test
+
+export RUNDIR=/tank/test/stressX
+export runRUNTIME=10m
+(cd ..; ./run.sh vfs.cfg) &
+
+for i in `jot 20`; do
+	zfs snapshot tank/test at snap$i
+	zfs clone    tank/test at snap$i tank/snap$i
+done
+for i in `jot 20`; do
+	zfs destroy tank/snap$i
+	zfs destroy tank/test at snap$i
+done
+wait
+
+zfs destroy -r tank
+zpool destroy tank
+
+rm -rf $d1 $d2


More information about the svn-src-projects mailing list